Bug 345951 - python, module turtle, function forward()
python, module turtle, function forward()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-22 16:22 EDT by Aznar
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aznar 2007-10-22 16:22:14 EDT
Description of problem: I can't use the module turtle in a script but I can if I
start it directly the interpretor in the prompt

How reproducible: On my computer, everytime. My script worked on others' machine.

Actual results:
['/home/lejocelyn/Documents',
 '/usr/lib/python25.zip',
 '/usr/lib/python2.5',
 '/usr/lib/python2.5/plat-linux2',
 '/usr/lib/python2.5/lib-tk',
 '/usr/lib/python2.5/lib-dynload',
 '/usr/lib/python2.5/site-packages',
 '/usr/lib/python2.5/site-packages/Numeric',
 '/usr/lib/python2.5/site-packages/PIL',
 '/usr/lib/python2.5/site-packages/gtk-2.0']
Traceback (most recent call last):
  File "dessintriangle.py", line 3, in <module>
    from turtle import *
  File "/usr/lib/python2.5/lib-tk/turtle.py", line 6, in <module>
    by Wally Feurzeig and Seymour Papert in 1966.
NameError: name 'forward' is not defined

Every script I try with this module doesn't work
Comment 1 James Antill 2007-10-22 16:58:00 EDT
 WFM(tm), although this is on x86_64

 What version of python/tkinter do you have?

 Does this work: python /usr/lib/python2.5/lib-tk/turtle.py

 What does your script look like?
 The above traceback looks weird, what does rpm -V tkinter say?

 The following script also works fine for me:

% cat /tmp/turt.py                      

from turtle import *
from time import *

while True:
  forward(4)
  sleep(4)
Comment 2 Aznar 2007-10-27 07:02:01 EDT
(In reply to comment #1)
>  WFM(tm), although this is on x86_64
I'm not sure about the meaning of WFM(tm)... :/

I'm using Fedora 7 on an old laptop, an IBL T23 with Linux i686 
2.6.22.9-91.fc7 
> 
>  What version of python/tkinter do you have?

rpm -qi tkinter
Version     : 2.5

> 
>  Does this work: python /usr/lib/python2.5/lib-tk/turtle.py
> 

Well, it seems to work well.

>  What does your script look like?
>  The above traceback looks weird, what does rpm -V tkinter say?

rpm -V tkinter
missing     /usr/lib/python2.5/lib-tk/turtle.pyc

I removed turtle.pyc because of a test.
I compare the Md5sum of my turtle.py with the one of another Linux user, it 
was the same but the turtle.pyc was different, on his advice, I removed it, he 
told me the .pyc wasn't really usefull.


> 
>  The following script also works fine for me:
> 
> % cat /tmp/turt.py                      
> 
> from turtle import *
> from time import *
> 
> while True:
>   forward(4)
>   sleep(4)
> 

The script :

1. #!/usr/bin/python
2. 
3. #debug script
4. 
5. from turtle import *
6. from time import *
7.  
8. while True:
9.	forward(4)
10.	sleep(4)

[lejocelyn@localhost Documents]$ python debug.py
Traceback (most recent call last):
  File "debug.py", line 5, in <module>
    from turtle import *
  File "/usr/lib/python2.5/lib-tk/turtle.py", line 6, in <module>
    by Wally Feurzeig and Seymour Papert in 1966.
NameError: name 'forward' is not defined

Comment 3 Brian Powell 2008-04-25 00:45:25 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.